﻿module internal ColourServices

    open System.Drawing
    open DeathSocket.Domain

    let makeBrushFromRGBASpec (spec: RGBASpec) =
        let a = int spec.alpha
        let r = int spec.red
        let g = int spec.green
        let b = int spec.blue
        let colour = Color.FromArgb (a, r, g, b)
        new SolidBrush (colour)

    let makeBrushFromRGBA r g b a =
        let colour = Color.FromArgb (a, r, g, b)
        new SolidBrush (colour)